import { toast } from 'react-toastify';

export const message = {
  success: (message: string) => {
    toast.success(message);
  },
  error: (message: string) => {
    toast.error(message);
  },
  warning: (message: string) => {
    toast.warning(message);
  },
  info: (message: string) => {
    toast.info(message);
  },
  loading: (message: string) => {
    const toastId = toast.loading(message);
    return () => {
      toast.dismiss(toastId);
    };
  },
};
